pcl::io::openni2::OpenNI2VideoMode Struct Reference

`#include <pcl/io/openni2/openni2_video_mode.h>`

## Public Member Functions

| OpenNI2VideoMode ()
| OpenNI2VideoMode (int xResolution, int yResolution, int frameRate)

## Public Attributes

int | x_resolution_
int | y_resolution_
int | frame_rate_
PixelFormat | pixel_format_

## Detailed Description

Definition at line 64 of file openni2_video_mode.h.

## Constructor & Destructor Documentation

## OpenNI2VideoMode() [1/2]

pcl::io::openni2::OpenNI2VideoMode::OpenNI2VideoMode | ( |  | ) |

inline

Definition at line 66 of file openni2_video_mode.h.

## OpenNI2VideoMode() [2/2]

pcl::io::openni2::OpenNI2VideoMode::OpenNI2VideoMode | ( | int | xResolution,
|  | int | yResolution,
|  | int | frameRate
| ) |  |

inline

Definition at line 70 of file openni2_video_mode.h.

## Member Data Documentation

## frame_rate_

int pcl::io::openni2::OpenNI2VideoMode::frame_rate_

Definition at line 76 of file openni2_video_mode.h.

## pixel_format_

PixelFormat pcl::io::openni2::OpenNI2VideoMode::pixel_format_

Definition at line 77 of file openni2_video_mode.h.

## x_resolution_

int pcl::io::openni2::OpenNI2VideoMode::x_resolution_

Definition at line 74 of file openni2_video_mode.h.

## y_resolution_

int pcl::io::openni2::OpenNI2VideoMode::y_resolution_

Definition at line 75 of file openni2_video_mode.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/openni2/openni2_video_mode.h